' This file is part of Network Switcher.

' Network Switcher is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.

' Network Switcher is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with Network Switcher. If not, see <http://www.gnu.org/licenses/>.
'
' Copyright 2007, Ricardo Amaral

Imports NetworkSwitcher.Interfaces

Public Class PluginsHost
    Implements IHost

#Region " Class Declarations "

    Private x_DirectConnection As Boolean
    Private x_ProxyAddress As String
    Private x_ProxyPort As Integer
    Private x_BypassLocal As Boolean

#End Region

#Region " Class Public Properties "

    Public Property DirectConnection() As Boolean Implements IHost.DirectConnection
        Get
            Return x_DirectConnection
        End Get

        Set(ByVal value As Boolean)
            x_DirectConnection = value
        End Set
    End Property

    Public Property ProxyAddress() As String Implements IHost.ProxyAddress
        Get
            Return x_ProxyAddress
        End Get

        Set(ByVal value As String)
            x_ProxyAddress = value
        End Set
    End Property

    Public Property ProxyPort() As Integer Implements IHost.ProxyPort
        Get
            Return x_ProxyPort
        End Get

        Set(ByVal value As Integer)
            x_ProxyPort = value
        End Set
    End Property

    Public Property BypassLocal() As Boolean Implements IHost.BypassLocal
        Get
            Return x_BypassLocal
        End Get

        Set(ByVal value As Boolean)
            x_BypassLocal = value
        End Set
    End Property

#End Region

End Class
